Gentoo Logo

giFT-FastTrack: remote denial of service attack

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200406-19 / giFT-FastTrack
Release Date June 24, 2004
Latest Revision May 22, 2006: 02
Impact low
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
net-p2p/gift-fasttrack <= 0.8.6 >= 0.8.7 All supported architectures

Related bugreports: #54452

Synopsis

There is a vulnerability where a carefully crafted signal sent to the giFT-FastTrack plugin will cause the giFT daemon to crash.

2.  Impact Information

Background

giFT-FastTrack is a plugin for the giFT file-sharing application. It allows giFT users to connect to the fasttrack network to share files.

Description

Alan Fitton found a vulnerability in the giFT-FastTrack plugin in version 0.8.6 and earlier. It can be used to remotely crash the giFT daemon.

Impact

Attackers may use this vulnerability to perform a Denial of Service attack against the giFT daemon. There is no risk of code execution.

3.  Resolution Information

Workaround

There is no known workaround at this time. All users are encouraged to upgrade to the latest available version.

Resolution

All users should upgrade to the latest available version of gift-fasttrack:

Code Listing 3.1: Resolution

# emerge sync

# emerge -pv ">=net-p2p/gift-fasttrack-0.8.7"
# emerge ">=net-p2p/gift-fasttrack-0.8.7"

4.  References



Print

Page updated June 24, 2004

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.